## org.apache.commons.collections.functors
Class NullIsTruePredicate

    java.lang.Object
      org.apache.commons.collections.functors.NullIsTruePredicate

All Implemented Interfaces:
  Predicate, PredicateDecorator, Serializable

public final class NullIsTruePredicate
extends Object
implements Predicate, PredicateDecorator, Serializable

Predicate implementation that returns true if the input is null.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/05/31 16:43:17 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`NullIsTruePredicate(Predicate predicate)` Constructor that performs no validation.

Method Summary
`boolean` `evaluate(Object object)` Evaluates the predicate returning the result of the decorated predicate once a null check is performed.
`static Predicate` `getInstance(Predicate predicate)` Factory to create the null true predicate.
`Predicate[]` `getPredicates()` Gets the predicate being decorated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullIsTruePredicate

    public NullIsTruePredicate(Predicate predicate)

  Constructor that performs no validation. Use `getInstance` if you want that.

Parameters:
  `predicate` - the predicate to call after the null check

Method Detail

### getInstance

    public static Predicate getInstance(Predicate predicate)

  Factory to create the null true predicate.

  Parameters:
    `predicate` - the predicate to decorate, not null
  Returns:
    the predicate
  Throws:
    `IllegalArgumentException` - if the predicate is null

### evaluate

    public boolean evaluate(Object object)

  Evaluates the predicate returning the result of the decorated predicate once a null check is performed.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    true if decorated predicate returns true or input is null

### getPredicates

    public Predicate[] getPredicates()

  Gets the predicate being decorated.

  Specified by:
    `getPredicates` in interface `PredicateDecorator`
  Returns:
    the predicate as the only element in an array
  Since:
    Commons Collections 3.1

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.